import * as THREE from 'three';
import BeforeLayerManager from './BeforeLayerManager';
/**
 * 显示最上层的 layer，如 TextLayer
 */
declare abstract class BaseBeforeLayer extends THREE.EventDispatcher {
    beforeLayerManager?: BeforeLayerManager;
    zIndex: number;
    readonly canvas: HTMLCanvasElement;
    protected readonly ctx: CanvasRenderingContext2D;
    constructor();
    abstract refresh(): void;
}
export default BaseBeforeLayer;
