import { MultiPolygon, Polygon } from 'geojson';
import { Features } from 'src/types';
import BaseLayer from './BaseLayer';
type Source = Features<Polygon | MultiPolygon>;
interface Style {
    fillColor?: string;
}
declare class FillLayer extends BaseLayer {
    private readonly canvas;
    private readonly ctx;
    source: Source;
    style?: Style;
    constructor(options: {
        source: Source;
        style?: Style;
    });
    refresh(): void;
}
export default FillLayer;
