import { XYZ } from '../types';
type TileValue = ImageBitmap | Promise<ImageBitmap>;
declare class TileCache {
    data: Record<string, TileValue>;
    private getKey;
    has(xyz: XYZ): boolean;
    get(xyz: XYZ): TileValue;
    set(xyz: XYZ, value: TileValue): void;
    delete(xyz: XYZ): void;
}
export default TileCache;
