import * as THREE from 'three';
import { BBox } from './types';
declare class EarthGeometry extends THREE.BufferGeometry {
    bbox: BBox;
    earthRadius: number;
    constructor(options: {
        bbox?: BBox;
        earthRadius: number;
        tileSize: number;
        z: number;
        /**
         * 延时更新 Geometry
         */
        delay?: boolean;
    });
    update(): void;
}
export default EarthGeometry;
