import * as THREE from 'three';
import LayerManager from './LayerManager';
declare abstract class BaseLayer extends THREE.EventDispatcher {
    disposeFuncList: Array<() => void>;
    layerManager?: LayerManager;
    imageBitmap?: ImageBitmap;
    zIndex: number;
    abstract refresh(): void;
    update(): void;
    dispose(): void;
}
export default BaseLayer;
