/**
 * 墨卡托投影
 * !!! 会用于 Web Worker
 */
import { BBox, TileIndexBox, XYZ } from '../types';
declare class MercatorTile {
    static workerScripts: any;
    static maxLat: number;
    static pointToTile(lng: number, lat: number, z: number): [number, number];
    static tileToBBox(xyz: XYZ): BBox;
    /**
     * 将边界 box 转化为 tile 索引的 box
     */
    static bboxToTileIndexBox(bbox: BBox, z: number): TileIndexBox;
    static lngToX(lng: number, z: number): number;
    static xToLng(x: number, z: number): number;
    static latToY(lat: number, z: number): number;
    static yToLat(y: number, z: number): number;
}
export default MercatorTile;
