/**
 * !!! 会用于 Web Worker
 * @param start
 * @param end
 * @returns
 */
export declare function range(start: number, end: number): number[];
/**
 * !!! 会用于 Web Worker
 */
export declare function isNil(value: any): boolean;
/**
 * ternaryOperation(true, (v) => v, 0) => true
 *
 * ternaryOperation(false, (v) => v, 0) => 0
 * @param value
 * @param when
 * @param fallback
 * @returns
 */
export declare function ternaryOperation<T, F = undefined>(value: T, when: (v: T) => boolean, fallback?: F): T | F | undefined;
